package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.NotificationRepository;
import com.realnet.vpspack.Entity.Notification
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class NotificationService {
@Autowired
private NotificationRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Notification Savedata(Notification data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Notification save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Notification> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Notification> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Notification> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Notification getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Notification update(Notification data,Integer id) {
	Notification old = Repository.findById(id).get();
old.setCode(data.getCode());

old.setNotification(data.getNotification());

final Notification test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
